<?php

$page = 10;
$table = Dever::config('base')->type;

$type = function()
{
	$array = array();
	$info = Dever::db('act/feedback_type')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'feedback',
	# 显示给用户看的名称
	'lang' => '反馈管理',
	# 是否显示在后台菜单
	'order' => 100,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'select',
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),

		'username' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '用户姓名',
			'default' 	=> '',
			'desc' 		=> '用户姓名',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			//'list'		=> 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
			//'list'		=> true,
		),

		'type_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '反馈类型',
			'default' 	=> '1',
			'desc' 		=> '反馈类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
			'search'	=> 'select',
			'list'		=> true,
		),

		'contact' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '联系方式',
			'default' 	=> '',
			'desc' 		=> '联系方式',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			//'list'		=> 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
			//'list'		=> true,
			'list'		=> true,
		),

		'name' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			//'list'		=> 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
			//'list'		=> true,
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '反馈内容',
			'update' 	=> 'editor',
			'key'		=> 1,
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'list'		=> 'table',
			//'modal'		=> '查看详情',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '评论时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('id' => 'desc'),
			'page' => array($page, 'list'),
			'col' => '*',
		),
	)
);
