<?php

$table = Dever::config('base')->type;
return array
(
    # 表名
    'name' => 'live_note',
    # 显示给用户看的名称
    'lang' => '直播提醒用户',
    # 是否显示在后台菜单
    'order' => 69,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'order'     => 'desc',
            //'list'        => true,
        ),
        

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户名',
            'default'   => '0',
            'desc'      => '请选择用户',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            //'search'  => 'select',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            'list'      => '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
        ),

        'type'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '提醒类别',
            'default'   => '',
            'desc'      => '提醒类别',
            'match'     => 'option',
            //'search'    => 'select',
            'option'    => $table,
            //'list'      => true,
        ),
        
        'data_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'option',
            'list'      => 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
        ),

        'cate_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '小刊分类',
            'default'   => '1',
            'desc'      => '小刊分类',
            'match'     => 'is_numeric',
            //'search'    => 'select',
            'list'      => true,
        ),

        'formid'      => array
        (
            'type'      => 'varchar-200',
            'name'      => 'formid',
            'default'   => '',
            'desc'      => 'formid',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'note'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否发送状态提醒-1未发送，2已发送',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '提醒时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'cate_id' => 'yes',
                'uid' => 'yes',
                'note' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cdate' => 'desc'),
            'col' => '*',
        ),
    ),
);
