<?php

$table = Dever::config('base')->type;

return array
(
	# 表名
	'name' => 'score',
	# 显示给用户看的名称
	'lang' => '积分排行榜',
	# 是否显示在后台菜单
	'order' => 1,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'select',
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),

		'type' 		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '订阅类别',
			'default' 	=> '',
			'desc' 		=> '订阅类别',
			'match' 	=> 'option',
			'update'	=> 'select',
			//'search'	=> 'select',
			'option' 	=> $table,
			//'list'		=> true,
		),
		
		'data_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'update'	=> 'text',
			'match' 	=> 'option',
			'list'		=> 'Dever::load("act/lib/manage.load", "{type}", "{data_id}")',
		),

		'user_log_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户积分日志id',
			'default' 	=> '',
			'desc' 		=> '用户积分日志id',
			'update'	=> 'text',
			'match' 	=> 'option',
		),

		'score' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '积分',
			'default' 	=> '',
			'desc' 		=> '积分',
			'match' 	=> 'option',
			'update'	=> 'text',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	# 更新表结构
	'alter' => array
	(
		1 => array
		(
			array('update', 'score', 'score', 'int-11 0 积分'),
			//array('add', 'config', 'config', 'int-11 1 配置'),
		),
		'version' => 1,
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'data_id' => 'yes',
				'type' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('score' => 'desc','id' => 'desc'),
			'page' => array(50, 'list'),
			'col' => '*',
		),
	)
);
