<?php

$table = Dever::config('base')->type;
return array
(
	# 表名
	'name' => 'share',
	# 显示给用户看的名称
	'lang' => '分享日志',
	# 是否显示在后台菜单
	'order' => 78,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'select',
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),

		'type' 		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '分享类别',
			'default' 	=> '',
			'desc' 		=> '分享类别',
			'match' 	=> 'option',
			'option' 	=> $table,
			'list'		=> true,
			'search'	=> 'select',
		),
		
		'data_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'option',
			'list'		=> 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
		),
		
		'content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '内容',
			'update' 	=> 'editor',
			'key'		=> 1,
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			//'search'	=> 'fulltext',
			//'list'		=> 'table',
			//'modal'		=> '查看详情',
		),

		'num' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享次数',
			'default' 	=> '',
			'desc' 		=> '分享次数',
			'match' 	=> 'option',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,

		'list_button' => array
		(
			'list' => array('回流', '"share_reflux&search_option_share_id={id}&oper_parent=share"'),
		),
	),
);
