<?php

$table = Dever::config('base')->type;

$type = array
(
    1 => '新用户',
    2 => '老用户',
    3 => '未知',
);
return array
(
    # 表名
    'name' => 'share_reflux',
    # 显示给用户看的名称
    'lang' => '分享回流',
    # 是否显示在后台菜单
    'order' => 60,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'order'     => 'desc',
            //'list'        => true,
        ),
        

        'source_uid'        => array
        (
            'type'      => 'int-11',
            'name'      => '分享者',
            'default'   => '',
            'desc'      => '分享者',
            'match'     => 'option',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            'list'      => '{source_uid} > 0 ? Dever::load("passport/user-one#username", {source_uid}) : "匿名用户"',
        ),


        'type'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '分享类别',
            'default'   => '',
            'desc'      => '分享类别',
            'match'     => 'option',
            'option'    => $table,
            'list'      => true,
            'search'    => 'select',
        ),
        
        'data_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'option',
            'list'      => 'Dever::load("act/lib/manage.load", "{type}", {data_id})',
        ),

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '回流用户',
            'default'   => '0',
            'desc'      => '请选择用户',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            //'search'  => 'select',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            'list'      => '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
        ),

        'user_type'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否新用户',
            'default'   => '3',
            'desc'      => '是否新用户',
            'match'     => 'option',
            'option'    => $type,
            'list'      => true,
            'search'    => 'select',
        ),

        'gid'       => array
        (
            'type'      => 'varchar-80',
            'name'      => '群组id',
            'default'   => '',
            'desc'      => '群组id',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            //'list'        => true,
        ),

        'share_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '分享id',
            'default'   => '',
            'desc'      => '分享id',
            'match'     => 'option',
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
    ),

    # request 请求接口定义
    'request' => array
    (
        
    ),
);