<?php

$type = Dever::config('base')->type;

$audit = Dever::config('base')->audit;

$status = Dever::config('base')->status;

$cate = function()
{
	$array = array();
	$info = Dever::db('content/cate')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '审核管理',
	# 后台菜单排序
	'order' => 7,
	'menu'	=> 'content',
	'end' => array
	(
		'update_audit' => 'audit/lib/core.audit',
		'update_status' => 'audit/lib/core.status',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属栏目',
			'default' 	=> '1',
			'desc' 		=> '所属栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'search'	=> 'select',
			'list'		=> true,
			//'edit'		=> true,
		),

		'data_id'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '数据ID',
			'default' 	=> '',
			'desc' 		=> '数据id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'audit'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '审核状态',
			'default' 	=> '1',
			'desc' 		=> '审核',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $audit,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布状态',
			'default' 	=> '1',
			'desc' 		=> '发布状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),
		
		'pdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布时间',
			'match' 	=> 'is_numeric',
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'list'		=> 'date("Y-m-d H:i:s", {pdate})',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			//'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'edit'		=> false,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
		'mul' => true,

		'list_button' => array
		(
			'edit' => array('预览', str_replace('https://api.', 'http://www.', Dever::url('main/preview.get?audit=1'))),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'type' => 'yes',
				'type_no' => array('yes-type', '!='),
				'audit' => 2,
				'status' => 2,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'page' => array(15, 'list'),
			'col' => '*',
		),
	)
);
