<?php

# 定义几个常用的选项
$type = array
(
	1 => '未领取',
	2 => '已领取',
	3 => '已使用',
);

$product = Dever::load('journal/api.data');

$seller = function()
{
	return Dever::db('code/seller')->state();
};

# 获取小刊分类权限
$auth = Dever::tops();
$cate = function() use ($auth)
{
    $array = array();
    if ($auth) {
        $info = Dever::db('journal/cate')->getIds(array('ids' => $auth));
    } else {
        $info = Dever::db('journal/cate')->state();
    }
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '兑换码列表',
	'menu' => 'journal',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'create_uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建人',
			'default' 	=> '-1',
			'desc' 		=> '创建人',
			'match' 	=> 'is_numeric',
			//'list'		=> 'Dever::load("code/lib/manage.showUserInfo", "{uid}", "{ldate}")',
		),

		'product'     => array
        (
            'name'      => '小刊',
            'default'   => '',
            'desc'      => '小刊',
            'search'	=> 'linkage',
            'search_col' => 'cate_id,product_id',
			'option'	=> Dever::url('lib/manage.search_cate_journal', 'journal'),
        ),

		'cate_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '小刊分类',
            'default'   => '1',
            'desc'      => '小刊分类',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $cate,
            //'search'    => 'select',
            'list'      => true,
        ),

		'product_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '小刊',
			'default' 	=> '',
			'desc' 		=> '小刊',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $product,
			//'search'	=> 'select',
			'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '兑换码',
			'default' 	=> '',
			'desc' 		=> '兑换码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> '{create_uid} > 0 ? "用户创建" : "{code}"',
			'list'		=> true,
		),

		'product_num'      => array
        (
            'type'      => 'int-11',
            'name'      => '兑换本数',
            'default'   => '1',
            'desc'      => '兑换本数',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '使用状态',
			'default' 	=> '1',
			'desc' 		=> '使用状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			'search'	=> 'select',
			'update'	=> 'select',
			'list'		=> true,
		),

		'seller_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '销售商',
			'default' 	=> '1',
			'desc' 		=> '销售商',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $seller,
			'search'	=> 'select',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户信息',
			'default' 	=> '0',
			'desc' 		=> '用户信息',
			'match' 	=> 'is_numeric',
			'list'		=> 'Dever::load("code/lib/manage.showUserInfo", "{create_uid}", "{uid}", "{ldate}")',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'ldate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '领取时间',
			'match' 	=> 'option',
			'default' 	=> '',
			'desc' 		=> '',
			//'search'	=> 'date',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '生成时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'top' => Dever::config('base')->top,

    # 增加这个，为了给当前的list增加一个option
    'top_option' => array
    (
        'value' => $auth,
        'col' => 'cate_id',
    ),

	'manage' => array
	(
		'excel'	=> true,
		'delete' => false,
		'edit' => false,
		'insert' => false,

		# 自定义快捷新增和编辑
        'button' => array
        (
            '新增兑换码' => array('fast', 1, 'config&where_id=1'),
            '销售商列表' => array('list', 'seller&project=code&oper_parent=info&oper_project=code'),
            '新增销售商' => array('fast', 1, 'seller'),
        ),
	),

	'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'cate_id' => 'yes',
                'create_uid' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cdate' => 'desc'),
            'page' => array(10, 'list'),
            'col' => '*',
        ),
    )
);
