<?php 

/**
 * @api {get} common.public 公共参数说明
 * @apiVersion 1.0.0
 * @apiName common.public
 * @apiGroup Common
 *
 * @apiDescription 介绍公共参数
 *
 * @apiParam {Number} json 是否返回json格式的数据1为返回2为不返回
 * @apiParam {Number} signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 * @apiParam {Number} pg 分页数，第几页，列表页瀑布流使用该参数
 *
 * @apiSuccess {Number}   status  状态，1为有效2为无效
 * @apiSuccess {String}   msg 请求的数据是否成功的提示
 * @apiSuccess {String}   data 如果status为1,data有值
 * @apiSuccess {Object[]}   page 分页信息
 * @apiSuccess {Number}   page.total 分页总数
 * @apiSuccess {Number}   page.current_page 当前页
 * @apiSuccess {Number}   page.total_page 总页数
 * @apiSuccess {Number}   page.next_page 下一页
 * @apiSuccess {Number}   page.prev_page 上一页
 * @apiSuccess {Number}   page.status 是否有下一页数据，0为没有
 */

/**
 * @api {get} common.type 类型设置说明
 * @apiVersion 1.0.0
 * @apiName common.type
 * @apiGroup Common
 *
 * @apiDescription 类型设置说明
 *
 * @apiParam {String} source_type 请在header中定义，ios：ios | android：android | 移动h5：h5  | 小程序：applet | 公众号：service | pc网站：pc
 * @apiParam {Number} type 图文：1 | 视频：2 | 直播：3 | 小刊：4 | 小刊音视频：5 | 专题：6 | 小程序：7 | 商品：8 | 链接：10 | 评论： 11 || 直播评论：12 | 小刊活动页：13
 * @apiParam {Number} push_ 所有带push_开头的返回参数，返回字典都是一样的，参考获取首页数据中的push_focus
 */

/**
 * @api {post} upload/upload/?save.start 上传图片接口
 * @apiVersion 1.0.0
 * @apiName save.start
 * @apiGroup Common
 *
 * @apiParam {Number} key 值为6，写死即可
 * @apiParam {String} file 文件流 multipart/form-data形式
 *
 * @apiSuccess {String}   url  图片地址
*/

/**
 * @api {get} wonderful/passport/?l=applet.bind 用户登录
 * @apiVersion 1.0.0
 * @apiName applet.bind
 * @apiGroup AppletPassport
 *
 * @apiDescription 用户登录
 *
 * @apiParam {String} code 微信登录返回的code
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=applet.update 更新用户信息
 * @apiVersion 1.0.0
 * @apiName applet.update
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户信息
 *
 * @apiParam {String} nickname 用户昵称
 * @apiParam {String} avatarurl 用户头像
 * @apiParam {String} gender 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */


/**
 * @api {get} wonderful/passport/?l=applet.mobile 更新用户手机号-微信绑定
 * @apiVersion 1.0.0
 * @apiName applet.mobile
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户手机号-微信绑定
 *
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=applet.bind_mobile 更新用户手机号-验证码绑定
 * @apiVersion 1.0.0
 * @apiName applet.bind_mobile
 * @apiGroup AppletPassport
 *
 * @apiDescription 更新用户手机号-验证码绑定
 *
 * @apiParam {Number} uid 用户id
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 * @apiParam {String} signature signature
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=reg.getMCode 获取手机验证码
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppletPassport
 *
 * @apiDescription 获取手机验证码
 *
 * @apiParam {Number} mobile 手机号
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} wonderful/passport/?l=reg.getMCode 获取手机验证码，未登录状态
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppPassport
 *
 * @apiDescription 获取手机验证码，未登录状态
 *
 * @apiParam {Number} mobile 手机号
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} wonderful/passport/?l=reg.getMCodeLogin 获取手机验证码，已登录状态
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup AppPassport
 *
 * @apiDescription 获取手机验证码，已登录状态
 *
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} signature signature
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} wonderful/passport/?l=app.login 登录与注册
 * @apiVersion 1.0.0
 * @apiName app.login
 * @apiGroup AppPassport
 *
 * @apiDescription 登录与注册
 *
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=app.bind_mobile 更新用户手机号-验证码绑定
 * @apiVersion 1.0.0
 * @apiName app.bind_mobile
 * @apiGroup AppPassport
 *
 * @apiDescription 更新用户手机号-验证码绑定
 *
 * @apiParam {Number} uid 用户id
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 * @apiParam {String} signature signature
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=app.wechat_reg 第三方登录-已经拥有openid
 * @apiVersion 1.0.0
 * @apiName app.wechat_reg
 * @apiGroup AppPassport
 *
 * @apiDescription 第三方登录-已经拥有openid
 *
 * @apiParam {String} username 用户名
 * @apiParam {String} avatar 头像
 * @apiParam {String} sex 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 * @apiParam {String} openid openid
 * @apiParam {String} unionid unionid
 * @apiParam {String} access_token access_token
 * @apiParam {String} refresh_token refresh_token
 * @apiParam {String} expires_in 失效时间
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {Number}   mobile  手机号，判断手机号是否存在，不存在则需要进行绑定，请直接使用app.bind_mobile接口进行绑定即可
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/oauth/?l=request.callback 第三方登录
 * @apiVersion 1.0.0
 * @apiName request.callback
 * @apiGroup AppPassport
 *
 * @apiDescription 第三方登录
 *
 * @apiParam {Number} account 第三方登录的账号，写死为2吧
 * @apiParam {Number} system 系统id，写死为1，后续做ok精彩和精品时再加
 * @apiParam {String} source 渠道来源，写死为1，默认1则为官网渠道
 * @apiParam {String} source_type 渠道类型，写死为ios或者android
 * @apiParam {String} code 用户授权后返回的code
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {Number}   mobile  手机号，判断手机号是否存在，不存在则需要进行绑定，请直接使用app.bind_mobile接口进行绑定即可
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/passport/?l=app.update 更新用户信息
 * @apiVersion 1.0.0
 * @apiName app.update
 * @apiGroup AppPassport
 *
 * @apiDescription 更新用户信息
 *
 * @apiParam {Number} signature 用户signature
 * @apiParam {String} username 用户昵称
 * @apiParam {String} avatar 用户头像
 * @apiParam {String} gender 性别
 * @apiParam {String} city 城市
 * @apiParam {String} province 省份
 * @apiParam {String} country 县区
 *
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} wonderful/main/?l=view.getHtml 获取富文本内容
 * @apiVersion 1.0.0
 * @apiName view.getHtml
 * @apiGroup App
 *
 * @apiDescription 获取富文本内容
 *
 * @apiParam {Number} signature 用户signature
 * @apiParam {String} type 类型1为图文、2为视频、3为直播、4为小刊内容，6为专题
 * @apiParam {String} id 图文等内容id，如果为4，则为小刊的内容id，而非小刊id
 *
 * @apiSuccess {String}   html 直接返回html的信息，请注意里面的协议：jstyle://live_note?id=0&live_id=1&file=test

 其中有几个：

 jstyle://video?id=0&vod_id=1&file=test 播放视频 id=0为content_array里的数组索引，vod_id为视频id，file为视频文件地址

 jstyle://live?id=0&live_id=1&file=test 播放直播 id=0为content_array里的数组索引，live_id为直播id，file为直播文件地址

 jstyle://live_note?id=0&live_id=1&file=test&note=1 设置直播提醒 id=0为content_array里的数组索引，live_id为直播id，file为直播文件地址，note值为1是已设置提醒，2为未设置提醒

 jstyle://auido?id=0&file=test&note=1 播放视频 id=0为content_array里的数组索引，file为直播文件地址
 */


/**
 * @api {get} wonderful/live/?l=api.get 获取直播推流信息
 * @apiVersion 1.0.0
 * @apiName api.get
 * @apiGroup Live
 *
 * @apiDescription 获取直播推流信息
 *
 * @apiParam {String} signature 请将字符串signature_dever_2018_jm经过md5加密
 *
 * @apiSuccess {Object[]} active 直播活动列表
 * @apiSuccess {String}   active.id 活动id
 * @apiSuccess {String}   acitve.name 活动名称
 * @apiSuccess {Object[]} active.stream 直播流列表
 * @apiSuccess {String}   active.stream.id 推流id
 * @apiSuccess {String}   active.stream.live 推流实际地址
 * @apiSuccess {String}   active.stream.url_rtmp 播放地址
 * @apiSuccess {String}   active.stream.url_hls 播放地址
 * @apiSuccess {String}   active.stream.url_hdl 播放地址
 * @apiSuccess {String}   active.stream.url_pic 实时截图地址
 */

/**
 * @api {get} wonderful/live/?l=api.start 开始推流
 * @apiVersion 1.0.0
 * @apiName api.start
 * @apiGroup Live
 *
 * @apiDescription 开始推流
 *
 * @apiParam {String} signature 请将字符串signature_dever_2018_jm经过md5加密
 * @apiParam {Number} id 推流id
 *
 * @apiSuccess {Number}   id 推流id
 * @apiSuccess {Number}   log_id 本次推流日志id
 */

/**
 * @api {get} wonderful/live/?l=api.stop 结束推流
 * @apiVersion 1.0.0
 * @apiName api.stop
 * @apiGroup Live
 *
 * @apiDescription 结束推流 一定要调用该接口，否则不会生成回放地址
 *
 * @apiParam {String} signature 请将字符串signature_dever_2018_jm经过md5加密
 * @apiParam {Number} id 推流id
 * @apiParam {Number} log_id 本次推流日志id
 */


/**
 * @api {get} wonderful/main/?l=content.home 获取首页数据
 * @apiVersion 1.0.0
 * @apiName content.home
 * @apiGroup Content
 *
 * @apiDescription 获取首页数据
 *
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   uid  用户id 所有接口中都有该项
 * @apiSuccess {Object[]} config 基本配置 所有接口中都有该项
 * @apiSuccess {String}   config.name 系统名称 请将小程序和app头部名称替换为该字段
 * @apiSuccess {String}   config.info 系统介绍
 * @apiSuccess {String}   config.logo 系统logo
 * @apiSuccess {String}   config.article_share_name 图文详情页分享文字
 * @apiSuccess {String}   config.vod_share_name 视频详情页分享文字
 * @apiSuccess {String}   config.live_share_name 直播详情页分享文字
 * @apiSuccess {String}   config.ios_pay ios支付设置 1为不开启小程序支付，将所有购买按钮都隐藏掉，2为开启公众号支付，3开始小程序支付
 * @apiSuccess {String}   config.ios_pay_pic ios里公众号支付引导图

 * @apiSuccess {Object[]} menu 栏目
 * @apiSuccess {String}   menu.name 名称
 * @apiSuccess {String}   menu.id 栏目id，访问content.news时可以使用menu=menu.id

 * @apiSuccess {Object[]} push_focus 焦点图
 * @apiSuccess {String}   push_focus.name 名称
 * @apiSuccess {String}   push_focus.cate_name 栏目名称
 * @apiSuccess {String}   push_focus.author_name 作者名称
 * @apiSuccess {String}   push_focus.pic 图片
 * @apiSuccess {String}   push_focus.type 类型，参考公共参数中的类型设置说明中的type说明
 * @apiSuccess {String}   push_focus.id 源表id，根据type计算路径，然后把这个id加上就是最终的path，小程序和app同样。如果没有id，则进入type相对应的列表。请做好判断！！
 * @apiSuccess {String}   push_focus.appid 当type==7时有效，小程序的appid
 * @apiSuccess {String}   push_focus.link 当type==10或者type==7时有效，链接，如果type==7并且链接存在，则跳转到链接
 * @apiSuccess {String}   push_focus.cdate 时间


 * @apiSuccess {Object[]} push_link 精选分类，字段同上

 * @apiSuccess {Object[]} push_ad 广告位，字段同上

 * @apiSuccess {Object[]} push_open_ad 弹窗广告位，字段同上

 * @apiSuccess {Object[]} push_up 精选推荐，字段同上

 * @apiSuccess {Object[]} news 更多图文等数据
 * @apiSuccess {String}   news.id 图文id
 * @apiSuccess {String}   news.name 名称
 * @apiSuccess {String}   news.pic_cover 4:3图片
 * @apiSuccess {String}   news.pic_cover_169 16:9图片
 * @apiSuccess {String}   news.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   news.pdate 时间
 * @apiSuccess {String}   news.num_view 浏览量
 * @apiSuccess {String}   news.num_up 喜欢量
 * @apiSuccess {String}   news.num_comment 评论量
 * @apiSuccess {String}   news.num_ding 订阅量
 * @apiSuccess {String}   news.num_user 在线人数
 * @apiSuccess {String}   news.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   news.share_title 分享标题
 * @apiSuccess {String}   news.share_pic 分享图片
 * @apiSuccess {String}   news.share_content 分享内容

 */

/**
 * @api {get} wonderful/main/?l=content.ad 开屏广告接口
 * @apiVersion 1.0.0
 * @apiName content.ad
 * @apiGroup Content
 *
 * @apiDescription 开屏广告接口
 *
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   uid  用户id 所有接口中都有该项
 * @apiSuccess {Object[]} config 基本配置 所有接口中都有该项
 * @apiSuccess {String}   config.name 系统名称 请将小程序和app头部名称替换为该字段
 * @apiSuccess {String}   config.info 系统介绍
 * @apiSuccess {String}   config.logo 系统logo
 * @apiSuccess {String}   config.article_share_name 图文详情页分享文字
 * @apiSuccess {String}   config.vod_share_name 视频详情页分享文字
 * @apiSuccess {String}   config.live_share_name 直播详情页分享文字
 * @apiSuccess {String}   config.ios_pay ios支付设置 1为不开启小程序支付，将所有购买按钮都隐藏掉，2为开启公众号支付，3开始小程序支付
 * @apiSuccess {String}   config.ios_pay_pic ios里公众号支付引导图
 * @apiSuccess {Object[]} push_screen_ad 广告
 * @apiSuccess {String}   push_screen_ad.name 名称
 * @apiSuccess {String}   push_screen_ad.pic 图片
 */


/**
 * @api {get} wonderful/main/?l=content.up 精选推荐更多
 * @apiVersion 1.0.0
 * @apiName content.up
 * @apiGroup Content
 *
 * @apiDescription 精选推荐更多
 *
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Object[]} push_up 栏目，字段同上
 * @apiSuccess {String}   push_up.name 名称
 * @apiSuccess {String}   push_up.pic 图片
 * @apiSuccess {String}   push_up.type 类型，参考公共参数中的类型设置说明中的type说明
 * @apiSuccess {String}   push_up.id 源表id，根据type计算路径，然后把这个source_id加上就是最终的path，小程序和app同样。
 * @apiSuccess {String}   push_up.link 当type==10时有效，链接
 * @apiSuccess {String}   push_up.cdate 时间

 */


/**
 * @api {get} wonderful/main/?l=content.news 精选页图文内容下拉更多
 * @apiVersion 1.0.0
 * @apiName content.news
 * @apiGroup Content
 *
 * @apiDescription 精选页图文内容下拉更多
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} menu 可选参数，栏目id 
 * @apiParam {Number} type 可选参数，类型1为图文、2为视频、3为直播，小刊请到专门的接口获取
 *
 * @apiSuccess {Object[]} news 更多图文等数据
 * @apiSuccess {String}   news.id 图文id
 * @apiSuccess {String}   news.name 名称
 * @apiSuccess {String}   news.pic_cover 4:3图片
 * @apiSuccess {String}   news.pic_cover_169 16:9图片
 * @apiSuccess {String}   news.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   news.pdate 时间
 * @apiSuccess {String}   news.num_view 浏览量
 * @apiSuccess {String}   news.num_up 喜欢量
 * @apiSuccess {String}   news.num_comment 评论量
 * @apiSuccess {String}   news.num_ding 订阅量
 * @apiSuccess {String}   news.num_user 在线人数
 * @apiSuccess {String}   news.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   news.share_title 分享标题
 * @apiSuccess {String}   news.share_pic 分享图片
 * @apiSuccess {String}   news.share_content 分享内容
 */

/**
 * @api {get} wonderful/main/?l=view.comment 查看评论列表
 * @apiVersion 1.0.0
 * @apiName view.comment
 * @apiGroup Content
 *
 * @apiDescription 查看评论列表
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 图文id
 * @apiParam {Number} type 类型，参考公共参数中的类型设置说明中的type说明
 *
 * @apiSuccess {Object[]} comment 评论列表
 * @apiSuccess {String}   comment.id 
 * @apiSuccess {String}   comment.username 用户名
 * @apiSuccess {String}   comment.avatar 头像
 * @apiSuccess {String}   comment.content 内容
 * @apiSuccess {String}   comment.num_up 点赞数
 * @apiSuccess {String}   comment.time 时间，请用这个时间吧
 * @apiSuccess {String}   comment.cdate 时间
 * @apiSuccess {String}   comment.up 是否点赞 1为点赞 2为未点赞

 * @apiSuccess {String}   live_status 当type=3时，有该字段，直播状态，1为直播中，2为已结束，请根据该状态判断当前观看直播的用户是否能观看直播
 
 */

/**
 * @api {get} wonderful/main/?l=view.article 查看图文内容
 * @apiVersion 1.0.0
 * @apiName view.article
 * @apiGroup Content
 *
 * @apiDescription 查看图文内容
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 图文id
 *
 * @apiSuccess {Object[]} info 图文数据
 * @apiSuccess {String}   info.id 
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   info.pic_cover 4:3图片
 * @apiSuccess {String}   info.pic_cover_169 16:9图片
 * @apiSuccess {String}   info.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.cate_id 栏目ID
 * @apiSuccess {String}   info.cate_name 栏目名称
 * @apiSuccess {String}   info.author_id 作者ID
 * @apiSuccess {String}   info.author_name 作者名称
 * @apiSuccess {String}   info.num_view 浏览量
 * @apiSuccess {String}   info.num_up 喜欢量
 * @apiSuccess {String}   info.num_comment 评论量
 * @apiSuccess {String}   info.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   info.share_title 分享标题
 * @apiSuccess {String}   info.share_pic 分享图片
 * @apiSuccess {String}   info.share_content 分享内容
 * @apiSuccess {String}   info.function 开启的功能，这是一个字符串，用逗号隔开的，1代表显示浏览量，2代表显示评论，3代表显示喜欢，如值为1,2，则显示浏览量、评论，不显示喜欢
 * @apiSuccess {String}   info.content 内容
 * @apiSuccess {String}   info.content_array 数组内容，请使用该字段循环，type为类型，请参考类型设置说明，content为内容，type为1时为图文内容，type为2时content为视频详情的字段，type为3时content为直播详情的字段，当type为5时content为音频地址，name为标题，cover为封面、type为6时是视频地址，name为标题，cover为封面
 *
 * @apiSuccess {Object[]} comment 评论列表
 * @apiSuccess {String}   comment.id 
 * @apiSuccess {String}   comment.username 用户名
 * @apiSuccess {String}   comment.avatar 头像
 * @apiSuccess {String}   comment.content 内容
 * @apiSuccess {String}   comment.num_up 点赞数
 * @apiSuccess {String}   comment.time 时间，请用这个时间
 * @apiSuccess {String}   comment.cdate 时间
 * @apiSuccess {String}   comment.up 是否点赞 1为点赞 2为未点赞


 *
 * @apiSuccess {Object[]} user_act 用户行为 当用户登录时有效
 * @apiSuccess {String}   user_act.share 用户分享数 
 * @apiSuccess {String}   user_act.up 是否喜欢1为喜欢，2为未喜欢
 */

/**
 * @api {get} wonderful/main/?l=view.feature 查看专题内容
 * @apiVersion 1.0.0
 * @apiName view.feature
 * @apiGroup Content
 *
 * @apiDescription 查看专题内容
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 图文id
 *
 * @apiSuccess {Object[]} info 专题数据
 * @apiSuccess {String}   info.id 
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   info.pic_cover 4:3图片
 * @apiSuccess {String}   info.pic_cover_169 16:9图片
 * @apiSuccess {String}   info.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.cate_id 栏目ID
 * @apiSuccess {String}   info.cate_name 栏目名称
 * @apiSuccess {String}   info.author_id 作者ID
 * @apiSuccess {String}   info.author_name 作者名称
 * @apiSuccess {String}   info.num_view 浏览量
 * @apiSuccess {String}   info.num_up 喜欢量
 * @apiSuccess {String}   info.num_comment 评论量
 * @apiSuccess {String}   info.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   info.share_title 分享标题
 * @apiSuccess {String}   info.share_pic 分享图片
 * @apiSuccess {String}   info.share_content 分享内容
 * @apiSuccess {String}   info.function 开启的功能，这是一个字符串，用逗号隔开的，1代表显示浏览量，2代表显示评论，3代表显示喜欢，如值为1,2，则显示浏览量、评论，不显示喜欢
 * @apiSuccess {String}   info.content 内容
 * @apiSuccess {String}   info.content_array 数组内容，请使用该字段循环，type为类型，请参考类型设置说明，content为内容，type为1时为图文内容，type为2时content为视频详情的字段，type为3时content为直播详情的字段，当type为5时content为音频地址，name为标题，cover为封面、type为6时是视频地址，name为标题，cover为封面
 *
 * @apiSuccess {Object[]} comment 评论列表
 * @apiSuccess {String}   comment.id 
 * @apiSuccess {String}   comment.username 用户名
 * @apiSuccess {String}   comment.avatar 头像
 * @apiSuccess {String}   comment.content 内容
 * @apiSuccess {String}   comment.num_up 点赞数
 * @apiSuccess {String}   comment.time 时间，请用这个时间
 * @apiSuccess {String}   comment.cdate 时间
 * @apiSuccess {String}   comment.up 是否点赞 1为点赞 2为未点赞


 *
 * @apiSuccess {Object[]} user_act 用户行为 当用户登录时有效
 * @apiSuccess {String}   user_act.share 用户分享数 
 * @apiSuccess {String}   user_act.up 是否喜欢1为喜欢，2为未喜欢
 */

/**
 * @api {get} wonderful/main/?l=view.vod 查看视频内容
 * @apiVersion 1.0.0
 * @apiName view.vod
 * @apiGroup Content
 *
 * @apiDescription 查看视频内容
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 视频id
 *
 * @apiSuccess {Object[]} info 视频数据
 * @apiSuccess {String}   info.id 
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   info.pic_cover 4:3图片
 * @apiSuccess {String}   info.pic_cover_169 16:9图片
 * @apiSuccess {String}   info.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.cate_id 栏目ID
 * @apiSuccess {String}   info.cate_name 栏目名称
 * @apiSuccess {String}   info.author_id 作者ID
 * @apiSuccess {String}   info.author_name 作者名称
 * @apiSuccess {String}   info.num_view 浏览量
 * @apiSuccess {String}   info.num_up 喜欢量
 * @apiSuccess {String}   info.num_comment 评论量
 * @apiSuccess {String}   info.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   info.share_title 分享标题
 * @apiSuccess {String}   info.share_pic 分享图片
 * @apiSuccess {String}   info.share_content 分享内容
 * @apiSuccess {String}   info.function 开启的功能，这是一个字符串，用逗号隔开的，1代表显示浏览量，2代表显示评论，3代表显示喜欢，4代表显示邀请阅读，如值为1,2,3，则显示浏览量、评论、喜欢，不显示邀请阅读
 * @apiSuccess {String}   info.content 内容
 *
 *
 * @apiSuccess {Object[]} comment 评论列表
 * @apiSuccess {String}   comment.id 
 * @apiSuccess {String}   comment.username 用户名
 * @apiSuccess {String}   comment.avatar 头像
 * @apiSuccess {String}   comment.content 内容
 * @apiSuccess {String}   comment.num_up 点赞数
 * @apiSuccess {String}   comment.cdate 时间
 * @apiSuccess {String}   comment.up 是否点赞 1为点赞 2为未点赞

 *
 * @apiSuccess {Object[]} user_act 用户行为 当用户登录时有效
 * @apiSuccess {String}   user_act.share 用户分享数 
 * @apiSuccess {String}   user_act.up 是否喜欢1为喜欢，2为未喜欢
 */

/**
 * @api {get} wonderful/main/?l=view.live 查看直播内容
 * @apiVersion 1.0.0
 * @apiName view.live
 * @apiGroup Content
 *
 * @apiDescription 查看直播内容
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 视频id
 *
 * @apiSuccess {Object[]} info 直播数据
 * @apiSuccess {String}   info.id 
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   info.pic_cover 4:3封面图片
 * @apiSuccess {String}   info.pic_cover_169 16:9图片
 * @apiSuccess {String}   info.type 类型，参考公共参数中的类型设置说明中的type说明，根据它生成path
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.cate_id 栏目ID
 * @apiSuccess {String}   info.cate_name 栏目名称
 * @apiSuccess {String}   info.author_id 作者ID
 * @apiSuccess {String}   info.author_name 作者名称
 * @apiSuccess {String}   info.sdate_time 开始时间
 * @apiSuccess {String}   info.edate_time 结束时间
 * @apiSuccess {String}   info.num_user 在线人数
 * @apiSuccess {String}   info.num_view 浏览量
 * @apiSuccess {String}   info.num_up 喜欢量
 * @apiSuccess {String}   info.num_comment 评论量
 * @apiSuccess {String}   info.share_yes 是否显示分享按钮 1显示 2不显示
 * @apiSuccess {String}   info.share_title 分享标题
 * @apiSuccess {String}   info.share_pic 分享图片
 * @apiSuccess {String}   info.share_content 分享内容
 * @apiSuccess {String}   info.function 开启的功能，这是一个字符串，用逗号隔开的，1代表显示浏览量，2代表显示评论，3代表显示喜欢，4代表显示邀请阅读，如值为1,2,3，则显示浏览量、评论、喜欢，不显示邀请阅读
 * @apiSuccess {String}   info.content 直播介绍
 * @apiSuccess {String}   info.stream 直播推流地址
 * @apiSuccess {String}   info.stream_rtmp 直播高清播放地址
 * @apiSuccess {String}   info.stream_hls 直播标清播放地址
 * @apiSuccess {String}   info.stream_hdl 直播普清播放地址
 * @apiSuccess {String}   info.stream_pic 直播截图地址，直播中时，可以用来替代pic_cover
 * @apiSuccess {String}   info.url 回放播放地址
 * @apiSuccess {String}   info.status 直播状态1为未开始2为直播中3为已结束
 *
 *
 * @apiSuccess {Object[]} comment 评论列表
 * @apiSuccess {String}   comment.id 
 * @apiSuccess {String}   comment.username 用户名
 * @apiSuccess {String}   comment.avatar 头像
 * @apiSuccess {String}   comment.content 内容
 * @apiSuccess {String}   comment.num_up 点赞数
 * @apiSuccess {String}   comment.time 时间，请用这个时间
 * @apiSuccess {String}   comment.cdate 时间
 * @apiSuccess {String}   comment.up 是否点赞 1为点赞 2为未点赞

 *
 * @apiSuccess {Object[]} user_act 用户行为 当用户登录时有效
 * @apiSuccess {String}   user_act.share 用户分享数 
 * @apiSuccess {String}   user_act.up 是否喜欢1为喜欢，2为未喜欢
 * @apiSuccess {String}   user_act.note 是否预约提醒1为已预约，2为未预约
 */

/**
 * @api {get} wonderful/main/?l=view.getPage 查看单页内容
 * @apiVersion 1.0.0
 * @apiName view.getPage
 * @apiGroup Content
 *
 * @apiDescription 查看单页内容
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} key 单页key
 *
 * @apiSuccess {Object[]} info 单页数据
 * @apiSuccess {String}   info.id 
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   info.content 内容
 */

/**
 * @api {get} wonderful/main/?l=user.poster 获取海报
 * @apiVersion 1.0.0
 * @apiName user.poster
 * @apiGroup UserAction
 *
 * @apiDescription 获取海报
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型
 * @apiParam {Number} id 当前的数据id
 * @apiParam {String} path 首页path路径
 *
 * @apiSuccess {String}  img 海报图片
 */


/**
 * @api {get} wonderful/main/?l=user.submit_up 喜欢
 * @apiVersion 1.0.0
 * @apiName user.submit_up
 * @apiGroup UserAction
 *
 * @apiDescription 喜欢
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型 这里增加了一个评论点赞（喜欢），type的值为11就是 给评论点赞
 * @apiParam {Number} id 当前的数据id
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.submit_note 直播预约提醒
 * @apiVersion 1.0.0
 * @apiName user.submit_note
 * @apiGroup UserAction
 *
 * @apiDescription 直播预约提醒
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型
 * @apiParam {Number} id 当前的数据id
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.submit_share 分享
 * @apiVersion 1.0.0
 * @apiName user.submit_share
 * @apiGroup UserAction
 *
 * @apiDescription 分享
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型
 * @apiParam {Number} id 当前的数据id
 * @apiParam {String} desc 说明：这是分享的说明介绍，请不要传入该参数，底层页分享时，请把路径path设置为首页的path?scene=signature,type,id  signature：当前邀请者的signature | type：当前分享的类型 图文等 | id：当前分享的图文的id，小程序中请判断，如果首页有scene参数，请在正常请求首页数据之后，将这几个数据保存到本地，（这里不要发起分享回流接口的请求，请在用户授权用户信息或者授权手机号之后再发起分享回流的接口请求，发起请求之后，请从本地删除这几个数据），然后根据scene参数中的type和id的值，跳转到type所对应的path的详情页即可。
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.submit_share_reflux 分享回流
 * @apiVersion 1.0.0
 * @apiName user.submit_share_reflux
 * @apiGroup UserAction
 *
 * @apiDescription 分享回流
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型 scene参数中的第二个值
 * @apiParam {Number} id 当前的数据id scene参数中的第三个值
 * @apiParam {String} source_signature 回流的源用户id，scene参数中的第一个值
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.submit_comment 提交评论
 * @apiVersion 1.0.0
 * @apiName user.submit_comment
 * @apiGroup UserAction
 *
 * @apiDescription 提交评论
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} type type类型
 * @apiParam {Number} id 当前的数据id
 * @apiParam {String} content 评论内容
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.submit_feedback 提交反馈
 * @apiVersion 1.0.0
 * @apiName user.submit_feedback
 * @apiGroup UserAction
 *
 * @apiDescription 提交反馈
 *
 * @apiParam {String} signature signature
 * @apiParam {String} type_id 反馈类型 必填
 * @apiParam {String} contact 联系方式 必填
 * @apiParam {String} content 反馈内容 必填
 *
 * @apiSuccess {Number}  id 当前的数据id
 */

/**
 * @api {get} wonderful/main/?l=user.get_feedback_type 获取反馈类型
 * @apiVersion 1.0.0
 * @apiName user.get_feedback_type
 * @apiGroup UserAction
 *
 * @apiDescription 获取反馈类型
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object}  type 类型
 */

/**
 * @api {get} wonderful/main/?l=journal.home 小刊首页
 * @apiVersion 1.0.0
 * @apiName journal.home
 * @apiGroup Journal
 *
 * @apiDescription 小刊首页
 *
 * @apiParam {String} signature signature
 * @apiParam {String} system 分类id
 *
 * @apiSuccess {Object[]} journal 小刊数据列表，每页显示10条，请在翻到第7或者第8条时，请求第2页
 * @apiSuccess {String}   journal.id 小刊id
 * @apiSuccess {String}   journal.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   journal.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   journal.pic_view_cover 小刊封面图片 封面图都用这个
 * @apiSuccess {String}   journal.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   journal.pic_gd 小刊推广图
 * @apiSuccess {String}   journal.pdate 时间
 * @apiSuccess {String}   journal.num_ding 订阅数
 * @apiSuccess {String}   journal.num_view 浏览量
 * @apiSuccess {String}   journal.num_comment 评论量
 * @apiSuccess {String}   journal.buy 小刊是否收费 1收费 2免费 3会员
 * @apiSuccess {String}   journal.bgmusic 小刊背景音乐
 *
 * @apiSuccess {Object[]} subscribe 订阅列表
 * @apiSuccess {String}   subscribe.id 
 * @apiSuccess {String}   subscribe.username 用户名
 * @apiSuccess {String}   subscribe.avatar 头像

 * @apiSuccess {Object[]} push_jingxuan 精选推荐
 * @apiSuccess {String}   push_jingxuan.name 名称
 * @apiSuccess {String}   push_jingxuan.pic 图片
 * @apiSuccess {String}   push_jingxuan.type 类型，这里为4
 * @apiSuccess {String}   push_jingxuan.id 源表id，这里是小刊的id
 * @apiSuccess {String}   push_jingxuan.cdate 时间

  * @apiSuccess {Number} push_jingxuan_more 是否显示更多按钮1显示2不显示
 */

/**
 * @api {get} wonderful/main/?l=journal.getList 小刊列表
 * @apiVersion 1.0.0
 * @apiName journal.getList
 * @apiGroup Journal
 *
 * @apiDescription 小刊列表，按照分类读取
 *
 * @apiParam {String} signature signature
 * @apiParam {String} system 分类id
 *
 * @apiSuccess {Object[]} journal 小刊数据列表
 * @apiSuccess {String}   journal.id 小刊id
 * @apiSuccess {String}   journal.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   journal.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   journal.pic_view_cover 小刊封面图片 封面图都用这个
 * @apiSuccess {String}   journal.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   journal.pic_gd 小刊推广图
 * @apiSuccess {String}   journal.pdate 时间
 * @apiSuccess {String}   journal.num_ding 订阅数
 * @apiSuccess {String}   journal.num_view 浏览量
 * @apiSuccess {String}   journal.num_comment 评论量
 * @apiSuccess {String}   journal.buy 小刊是否收费 1收费 2免费 3会员
 * @apiSuccess {String}   journal.bgmusic 小刊背景音乐
 *
 * @apiSuccess {Object[]} push 主推小刊
 * @apiSuccess {String}   push.id 小刊id
 * @apiSuccess {String}   push.name 名称
 * @apiSuccess {String}   push.num_ding 订阅数
 */

/**
 * @api {get} wonderful/main/?l=journal.getMyList 我的小刊列表
 * @apiVersion 1.0.0
 * @apiName journal.getMyList
 * @apiGroup Journal
 *
 * @apiDescription 我的小刊列表，按照分类读取
 *
 * @apiParam {String} signature signature
 * @apiParam {String} system 分类id
 *
 * @apiSuccess {Object[]} user 用户基本信息
 * @apiSuccess {String}   user.id 用户id
 * @apiSuccess {String}   user.username 用户名
 * @apiSuccess {String}   user.avatar 头像
 *
 * @apiSuccess {Object[]} journal 小刊数据列表
 * @apiSuccess {String}   journal.id 小刊id
 * @apiSuccess {String}   journal.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   journal.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   journal.pic_view_cover 小刊封面图片 封面图都用这个
 * @apiSuccess {String}   journal.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   journal.pic_gd 小刊推广图
 * @apiSuccess {String}   journal.pdate 时间
 * @apiSuccess {String}   journal.num_ding 订阅数
 * @apiSuccess {String}   journal.num_view 浏览量
 * @apiSuccess {String}   journal.num_comment 评论量
 * @apiSuccess {String}   journal.buy 小刊是否收费 1收费 2免费 3会员
 * @apiSuccess {String}   journal.bgmusic 小刊背景音乐
 *
 * @apiSuccess {Object[]} push 主推小刊
 * @apiSuccess {String}   push.id 小刊id
 * @apiSuccess {String}   push.name 名称
 * @apiSuccess {String}   push.num_ding 订阅数
 */

/**
 * @api {get} wonderful/main/?l=journal.jingxuan 小刊精选更多
 * @apiVersion 1.0.0
 * @apiName journal.jingxuan
 * @apiGroup Journal
 *
 * @apiDescription 小刊精选更多
 *
 * @apiParam {String} signature signature

 * @apiSuccess {Object[]} push_jingxuan 精选推荐，这里可以按照page.next_page来获取下一页，无限循环
 * @apiSuccess {String}   push_jingxuan.name 名称
 * @apiSuccess {String}   push_jingxuan.pic 图片
 * @apiSuccess {String}   push_jingxuan.type 类型，这里为4
 * @apiSuccess {String}   push_jingxuan.id 源表id，这里是小刊的id
 * @apiSuccess {String}   push_jingxuan.cdate 时间
 */

/**
 * @api {get} wonderful/main/?l=journal.read 小刊阅读页
 * @apiVersion 1.0.0
 * @apiName journal.read
 * @apiGroup Journal
 *
 * @apiDescription 小刊阅读页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} content 内容数据列表，每页显示10条，请在翻到第7或者第8条时，请求第2页
 * @apiSuccess {String}   content.id 内容id
 * @apiSuccess {String}   content.type 内容类型1全屏图、2长图、3图文内容、11关联图文、12关联视频、13关联直播、4全屏视频、5留言视频、6留言音频
 * @apiSuccess {String}   content.name 标题。type=5,6时有效
 * @apiSuccess {String}   content.cover 音频或者视频的封面图，type=4,5,6时有效
 * @apiSuccess {String}   content.video 视频地址。type=4,5时有效
 * @apiSuccess {String}   content.music 音频地址。type=6时有效
 * @apiSuccess {String}   content.pic 全屏图或者长图，type=1,2时有效
 * @apiSuccess {String}   content.is_button 全屏图上的保存按钮，1显示2不显示，type=1时有效
 * @apiSuccess {String}   content.button_name 全屏图上的保存按钮的文字，type=1时有效
 * @apiSuccess {String}   content.button_color 全屏图上的保存按钮的文字颜色，type=1时有效
 * @apiSuccess {String}   content.note 是否预约提醒1为已预约，2为未预约
 * @apiSuccess {Object[]}   content.text 全屏图上的九个文字位置，type=1时有效
 * @apiSuccess {String}   content.text.text 文字位置，1上左2上中3上右4中左5正中6中右7下左8下中9下右
 * @apiSuccess {String}   content.text.name 文字内容 换行用\n隔开
 * @apiSuccess {String}   content.text.color 文字颜色
 * @apiSuccess {String}   content.text.bgcolor 文字背景颜色
 * @apiSuccess {String}   content.text.bgcolor_type 是否设置文字背景颜色，1设置，2不设置，不设置则文字背景颜色为透明。
 * @apiSuccess {String}   content.text.size 文字像素大小
 * @apiSuccess {Object[]}   content.info type=3,11,12,13时有效，当等于11,12,13时，分别对应图文详情、视频详情、直播详情里的字段，等于3时，请查看以下字段
 * @apiSuccess {String}   content.info.name 标题
 * @apiSuccess {String}   content.info.focus 焦点图
 * @apiSuccess {String}   content.info.content 内容
 * @apiSuccess {String}   content.info.content_array 数组内容
 * @apiSuccess {Object[]}   content.info.author 作者
 */

/**
 * @api {get} wonderful/main/?l=journal.view 小刊详情页
 * @apiVersion 1.0.0
 * @apiName journal.view
 * @apiGroup Journal
 *
 * @apiDescription 小刊详情页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} info 小刊详情
 * @apiSuccess {String}   info.id 小刊id
 * @apiSuccess {String}   info.name 名称
 * @apiSuccess {String}   journal.subname 期号
 * @apiSuccess {String}   info.pic_cover 列表封面图片 暂时无效
 * @apiSuccess {String}   info.pic_view_cover 小刊封面图片 封面图都用这个
 * @apiSuccess {String}   info.pic_view_bg 全屏背景图，多张图片，这是一个数组
 * @apiSuccess {String}   info.pic_gd 小刊推广图
 * @apiSuccess {String}   info.pdate 时间
 * @apiSuccess {String}   info.num_ding 订阅数
 * @apiSuccess {String}   info.num_view 浏览量
 * @apiSuccess {String}   info.num_comment 评论量
 * @apiSuccess {String}   info.buy 小刊是否收费 1收费 2不收费
 * @apiSuccess {String}   info.subscribe 是否订阅，1为已订阅2为未订阅
 * @apiSuccess {String}   info.active 是否有活动，1为有2为没有，有则显示分享邀请按钮

 * @apiSuccess {Object[]}   button 按钮判断 如果不需要这个，可以不用
 * @apiSuccess {Object[]}   button.read 第一个按钮 一般为购买按钮
 * @apiSuccess {String}   button.read.status 状态 -1不显示 1为进入阅读 2为购买
 * @apiSuccess {String}   button.read.name 按钮上的名字
 * @apiSuccess {Object[]}   button.code 第二个按钮 一般为兑换码按钮
 * @apiSuccess {String}   button.code.status 状态 -1不显示 1为兑换码兑换 2为购买（再次购买）
 * @apiSuccess {String}   button.code.name 按钮上的名字
 * @apiSuccess {Object[]}   button.share 第三个按钮 一般为分享邀请按钮
 * @apiSuccess {String}   button.share.status 状态 -1不显示 1为免费阅读赢取大礼包
 * @apiSuccess {String}   button.share.name 按钮上的名字
 */

/**
 * @api {get} wonderful/main/?l=journal.active 小刊活动页
 * @apiVersion 1.0.0
 * @apiName journal.active
 * @apiGroup Journal
 *
 * @apiDescription 小刊活动页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} info 小刊详情
 * @apiSuccess {String}   info.id 小刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {Object[]}   active 活动说明表
 * @apiSuccess {String}   active.name 名称
 * @apiSuccess {String}   active.status 活动状态 1活动进行中 2活动已结束
 * @apiSuccess {String}   active.desc 描述
 * @apiSuccess {String}   active.buy_title 购买标题
 * @apiSuccess {String}   active.buy_desc 购买描述
 * @apiSuccess {String}   active.invite_title 邀请好友标题
 * @apiSuccess {String}   active.invite_desc 邀请好友描述 换行用\n隔开
 * @apiSuccess {String}   active.content 活动说明，富文本

  * @apiSuccess {Object[]}   invite 我的邀请
 * @apiSuccess {String}   invite.uid 用户id
 * @apiSuccess {String}   invite.username 用户名
 * @apiSuccess {String}   invite.avatar 头像

 * @apiSuccess {String}   buy 是否显示购买按钮，1显示，2不显示
 */

/**
 * @api {get} wonderful/main/?l=journal.buy 小刊购买页
 * @apiVersion 1.0.0
 * @apiName journal.buy
 * @apiGroup Journal
 *
 * @apiDescription 小刊购买页
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} info 小刊详情
 * @apiSuccess {String}   info.id 小刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {String} buy_desc 购买说明
 * @apiSuccess {Object[]}   buy_list 购买列表
 * @apiSuccess {String}   buy_list.id 购买id 支付时使用
 * @apiSuccess {String}   buy_list.name 名称
 * @apiSuccess {String}   buy_list.price 标价
 * @apiSuccess {String}   buy_list.cash 实际支付价格
 */

/**
 * @api {get} wonderful/main/?l=journal.buy_action 发起支付
 * @apiVersion 1.0.0
 * @apiName journal.buy_action
 * @apiGroup Journal
 *
 * @apiDescription 发起支付：请注意，如果是苹果支付，请在发起苹果支付之后，将苹果返回的验证数据，传入该接口
 *
 * @apiParam {String} signature signature
 * @apiParam {String} journal_id 小刊id
 * @apiParam {String} buy_id 购买本数id
 * @apiParam {String} receipt 当header中的source_type为ios时，请传入该参数，参数的值为苹果支付后返回的参数，即可发起支付验证。
*
 * @apiSuccess {Object[]} pay 微信支付返回的数据
 * @apiSuccess {String}   pay.time 服务器时间戳
 * @apiSuccess {String}   pay.nonce_str 随机字符串
 * @apiSuccess {String}   pay.prepay_id 统一下单接口返回的 prepay_id 参数值，通过'prepay_id=' + prepay_id 拼装成package
 * @apiSuccess {String}   pay.sign_type 签名算法
 * @apiSuccess {String}   pay.sign 签名
 * @apiSuccess {String}   pay.yes 苹果支付时显示改参数，1为支付成功2为支付失败
 */

/**
 * @api {get} wonderful/main/?l=journal.code 提交兑换码
 * @apiVersion 1.0.0
 * @apiName journal.code
 * @apiGroup Journal

 * @apiDescription 提交兑换码
 *
 * @apiParam {String} signature signature
 * @apiParam {String} journal_id 小刊id
 * @apiParam {String} code 兑换码
 *
 * @apiSuccess {String}   order_id 兑换成功则返回订单id
 */

/**
 * @api {get} wonderful/main/?l=journal.checkCode 验证兑换码是否有效
 * @apiVersion 1.0.0
 * @apiName journal.checkCode
 * @apiGroup Journal
 *
 * @apiDescription 验证兑换码是否有效
 *
 * @apiParam {String} signature signature
 * @apiParam {String} code 兑换码

 * @apiSuccess {Object[]} product 小刊信息
 * @apiSuccess {String}   product.id 小刊id
 * @apiSuccess {String}   product.name 小刊名称
 */

/**
 * @api {get} wonderful/main/?l=journal.score 小刊积分排行榜
 * @apiVersion 1.0.0
 * @apiName journal.score
 * @apiGroup Journal
 *
 * @apiDescription 小刊积分排行榜
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} info 小刊详情
 * @apiSuccess {String}   info.id 小刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {Object[]}   score 积分排行
 * @apiSuccess {String}   score.uid 用户id
 * @apiSuccess {String}   score.score 积分数
 * @apiSuccess {String}   score.username 用户名
 * @apiSuccess {String}   score.avatar 头像
  *
 * @apiSuccess {Object[]}   active 活动说明表
 * @apiSuccess {String}   active.name 名称
 * @apiSuccess {String}   active.status 活动状态 1活动进行中 2活动已结束
 * @apiSuccess {String}   active.desc 描述
 * @apiSuccess {String}   active.invite_title 邀请好友标题
 * @apiSuccess {String}   active.invite_desc 邀请好友描述 换行用\n隔开
 * @apiSuccess {String}   active.content 活动说明，富文本
 */


/**
 * @api {get} wonderful/main/?l=journal.invite 小刊我的邀请排行榜
 * @apiVersion 1.0.0
 * @apiName journal.invite
 * @apiGroup Journal
 *
 * @apiDescription 小刊邀请排行榜
 *
 * @apiParam {String} signature signature
 * @apiParam {Number} id 小刊id
 *
 * @apiSuccess {Object[]} info 小刊详情
 * @apiSuccess {String}   info.id 小刊id
 * @apiSuccess {String}   info.name 名称
 *
 * @apiSuccess {Object[]}   invite 邀请排行
 * @apiSuccess {String}   invite.uid 用户id
 * @apiSuccess {String}   invite.username 用户名
 * @apiSuccess {String}   invite.avatar 头像
 */

/**
 * @api {get} wonderful/main/?l=user.my 获取用户信息
 * @apiVersion 1.0.0
 * @apiName user.my
 * @apiGroup User
 *
 * @apiDescription 获取用户信息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} user 用户基本信息
 * @apiSuccess {String}   user.id 用户id
 * @apiSuccess {String}   user.username 用户名
 * @apiSuccess {String}   user.mobile 手机号
 * @apiSuccess {String}   user.avatar 头像
 * @apiSuccess {String}   user.level 等级
 * @apiSuccess {String}   user.score 积分
 * @apiSuccess {Number}   user_msg 用户新消息数
 */

/**
 * @api {get} wonderful/main/?l=user.my_msg 获取我的消息
 * @apiVersion 1.0.0
 * @apiName user.my_msg
 * @apiGroup User
 *
 * @apiDescription 获取我的消息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} msg 消息列表
 * @apiSuccess {String}   msg.uid 用户id
 * @apiSuccess {String}   msg.from_uid 消息来源uid，暂时不用管
 * @apiSuccess {String}   msg.name 消息标题
 * @apiSuccess {String}   msg.content 消息内容
 * @apiSuccess {String}   msg.cdate 时间戳
 * @apiSuccess {String}   msg.cdate_time 转换成了Y-m-d H:i:s的时间
 * @apiSuccess {String}   msg.status 消息已读状态1未读2已读
 * @apiSuccess {String}   msg.type 消息类型，暂时不用管
 */


/**
 * @api {get} wonderful/main/?l=user.my_up 获取我喜欢的信息
 * @apiVersion 1.0.0
 * @apiName user.my_up
 * @apiGroup User
 *
 * @apiDescription 获取我喜欢的信息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} like 用户基本信息
 * @apiSuccess {String}   like.uid 用户id
 * @apiSuccess {String}   like.data_id 数据id
 * @apiSuccess {String}   like.cdate 时间戳
 * @apiSuccess {String}   like.cdate_time 转换成了Y-m-d H:i:s的时间
 * @apiSuccess {String}   like.type 类型，参考公共参数中的类型设置说明中的type说明
 * @apiSuccess {Object[]}   like.info 基本信息 根据type不同，里面的字段有所不同
 * @apiSuccess {String}   like.info.id 数据id
 * @apiSuccess {String}   like.info.name 名称
 * @apiSuccess {String}   like.info.cate_id 栏目ID
 * @apiSuccess {String}   like.info.cate_name 栏目名称
 * @apiSuccess {String}   like.info.pic_cover 4:3图片
 * @apiSuccess {String}   like.info.pic_cover_169 16:9图片
 * @apiSuccess {String}   like.info.pdate 发布时间
 */

/**
 * @api {get} wonderful/main/?l=user.my_comment 获取我评论的信息
 * @apiVersion 1.0.0
 * @apiName user.my_comment
 * @apiGroup User
 *
 * @apiDescription 获取我喜欢的信息
 *
 * @apiParam {String} signature signature
 *
 * @apiSuccess {Object[]} comment 用户基本信息
 * @apiSuccess {String}   comment.uid 用户id
 * @apiSuccess {String}   comment.data_id 数据id
 * @apiSuccess {String}   comment.content 评论内容
 * @apiSuccess {String}   comment.time 时间：x小时前
 * @apiSuccess {String}   comment.cdate 时间戳
 * @apiSuccess {String}   comment.cdate_time 转换成了Y-m-d H:i:s的时间
 * @apiSuccess {String}   comment.type 类型，参考公共参数中的类型设置说明中的type说明
 * @apiSuccess {Object[]}   comment.info 基本信息 根据type不同，里面的字段有所不同
 * @apiSuccess {String}   comment.info.id 数据id
 * @apiSuccess {String}   comment.info.name 名称
 * @apiSuccess {String}   comment.info.cate_id 栏目ID
 * @apiSuccess {String}   comment.info.cate_name 栏目名称
 * @apiSuccess {String}   comment.info.pic_cover 4:3图片
 * @apiSuccess {String}   comment.info.pic_cover_169 16:9图片
 * @apiSuccess {String}   comment.info.pdate 发布时间
 */
