<?php

# 定义几个常用的选项
$status = array
(
    1 => '在线',
    2 => '下线',
);

return array
(
    # 表名
    'name' => 'buy_num',
    # 显示给用户看的名称
    'lang' => '购买本数设置',
    'order' => 100,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'info_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '小刊',
            'default'   => '',
            'desc'      => '小刊',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id')
        ),

        'num'      => array
        (
            'type'      => 'int-11',
            'name'      => '购买本数-直接填写购买的小刊本数数字即可',
            'default'   => '1',
            'desc'      => '购买本数',
            'match'     => 'option',
            'update'    => 'text',
            //'search'    => 'fulltext',
            'list'      => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-80',
            'name'      => '购买名称-一般为“购买n本”，如购买1本，如果为空，则根据购买本数自动生成如“购买n本”',
            'default'   => '',
            'desc'      => '购买名称',
            'match'     => 'option',
            'update'    => 'text',
            //'search'    => 'fulltext',
            'list'      => 'Dever::load("journal/lib/manage.getName", {id})',
        ),

        'price'     => array
        (
            'type'      => 'varchar-50',
            'name'      => '购买时的标价-为空则自动根据小刊的单本支付价格计算',
            'default'   => '',
            'desc'      => '购买时的标价',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'Dever::load("journal/lib/manage.getPrice", {id})',
        ),

        'cash'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '支付价格-实际支付价格，单位元，直接填写数字即可',
            'default'   => '',
            'desc'      => '支付价格',
            'match'     => 'is_string',
            //'update'    => 'text',
        ),

        'score'         => array
        (
            'type'      => 'varchar-80',
            'name'      => '增加积分数-直接填写购买当前本数设置，用户能获得的积分，设置之后，积分规则里的设置将失效',
            'default'   => '',
            'desc'      => '增加积分数',
            'match'     => 'is_string',
            //'update'    => 'text',
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '添加时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),


    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'cdate' => 'desc'),
            'col' => '*',
        ),

        # 最低价格的
        'getDataByMin' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'one',
            'order' => array('cash' => 'asc','reorder' => 'desc', 'cdate' => 'desc'),
            'col' => '*',
        ),
    ),
);
