<?php

$type = array
(
    # 默认类型
    3 => '图文内容',
    1 => '全屏图',
    2 => '长图',
    # 2018-12-11 增加3个类型
    4 => '全屏视频',
    5 => '留言视频',
    6 => '留言音频',

    # 关联类型 > 10
    11 => '关联图文',
    12 => '关联视频',
    13 => '关联直播',
);

$id = Dever::input('where_id');
return array
(
    # 表名
    'name' => 'cate',
    # 显示给用户看的名称
    'lang' => '小刊分类设置',
    # 后台菜单排序
    'order' => 9,
    'end' => array
    (
        'update' => array
        (
            'passport/lib/manage.updateSystem',
            'manage/top.sync',
        ),
        'insert' => array
        (
            'passport/lib/manage.updateSystem',
            'manage/top.sync',
        )
    ),
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '分类名称',
            'default'   => '',
            'desc'      => '请输入名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'type'     => array
        (
            'type'      => 'varchar-100',
            'name'      => '内容类型-定义小刊下的内页内容类型',
            'default'   => '1,2,3,4,5,6,11,12,13',
            'desc'      => '内容类型',
            'match'     => 'is_numeric',
            'update'    => 'checkbox',
            'option'    => $type,
        ),

        'journal_id'     => array
        (
            'type'      => 'int-11',
            'name'      => '主推小刊',
            'default'   => '',
            'desc'      => '主推小刊',
            'match'     => 'is_numeric',
            'update'    => $id ? 'select' : 'hidden',
            'update_search' => 'journal/lib/manage.search_journal?cate=' . $id,
        ),

        'title'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '页面title-公众号支付中的页面标题',
            'default'   => '',
            'desc'      => '页面title',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
           // 'list'      => true,
        ),

        'desc'     => array
        (
            'type'      => 'text-255',
            'name'      => '简介',
            'default'   => '',
            'desc'      => '简介',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'cover'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '封面图-公众号支付中的封面图，图片尺寸460*759px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
            'default'   => '',
            'desc'      => '封面图',
            'match'     => 'option',
            'update'  => 'image',
            'key'       => '1',
            'place'     => '150',
        ),

        'logo'     => array
        (
            'type'      => 'varchar-150',
            'name'      => 'logo图-当前分类的logo图，图片尺寸100*100px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
            'default'   => '',
            'desc'      => 'logo图',
            'match'     => 'option',
            'update'  => 'image',
            'key'       => '1',
            'place'     => '150',
        ),
        
        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'code_desc'     => array
        (
            'type'      => 'text-255',
            'name'      => '兑换说明',
            'default'   => '',
            'desc'      => '兑换说明',
            'match'     => 'option',
            'update'    => 'editor',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    # 默认值
    'default' => array
    (
        'col' => 'name,state,cdate',
        'value' => array
        (
            '"默认分类",1,' . time(),
        ),
    ),

    'manage' => array
    (
        //'insert' => false,
        //'edit' => false,
    ),

    'top' => array
    (
        # 数据来源
        'data' => 'state',
        # 菜单名
        'name' => '项目选择',
        # 默认值
        'value' => 1,
        # 对应的字段值，设置这个之后，所有设置等于这个值的字段，都要遵循这个权限的控制
        'key' => Dever::config('base')->top,
        # 本表中代表名称的字段
        'col' => 'name',
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','id' => 'desc'),
            'col' => '*',
        ),

        'getIds' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','id' => 'desc'),
            'col' => '*,id as value|id',
        ),
    ),
);
