<?php
namespace Journal\Lib;

use Dever;

class Pay
{
	/**
	 * 支付成功后，调取的接口
	 *
	 * @return mixed
	 */
	public function act_api($param = array())
	{
        $send = Dever::preInput('pay_');
        $key = md5('jmss_2018');
        ksort($send);
        $send['signature'] = md5($key . '&' . http_build_query($send));
        $signature = Dever::input('signature');
        if ($send['signature'] == $signature) {
            $product_id = $send['pay_product_id'];
            $uid = $send['pay_uid'];
            $cash = $send['pay_cash'];
            $order_id = $send['pay_order_id'];
            $status = $send['pay_status'];
            $msg = $send['pay_msg'];

            $order = Dever::db('journal/order')->one(array('order_id' => $order_id, 'uid' => $uid));

            if ($send['pay_status'] == 2 && $order) {
                
                $update = array();
                $update['where_id'] = $order['id'];
                $update['status'] = 2;
                if ($order['type'] == 3) {
                    # 购买兑换码
                    $product_num = 1;
                    if ($order['buy_id'] > 0) {
                        $buy = Dever::db('journal/buy_num')->one($order['buy_id']);
                        $product_num = $buy['num'];
                    }
                    $update['code'] = Dever::load('code/lib/core')->createCode($order['cate_id'] . ',' . $order['product_id'], $order['cate_id'], $order['product_id'], $order['seller_id'], $product_num, $uid);
                }

                Dever::db('journal/order')->update($update);

                if ($order['type'] != 1) {
                    return;
                }

                # 订阅
                Dever::load('act/lib/subscribe')->submit($uid, $order['product_id'], 1);

                $score = false;
                $num = false;
                if ($order['buy_id'] > 0) {
                    $info = Dever::db('journal/info')->one($order['product_id']);
                    $buy = Dever::db('journal/buy_num')->one($order['buy_id']);
                    if ($info && $buy && $info['score'] > 0) {
                        $score = $buy['num'] * $info['score'];
                    } elseif ($info && $buy) {
                        $num = $buy['num'];
                    }
                }
                Dever::score($uid, 'buy_journal', '购买小刊', 'act/lib/score.submit?method=pay&type=4&id=' . $order['product_id'], $score, $num);

                # 发消息
                $journal = Dever::db('journal/info')->one($order['product_id']);

                if (Dever::project('message')) {
                    Dever::load('message/lib/data')->push(-1, $uid, '购买提醒', '购买成功，您获得了 '.$journal['name'].' 的阅读资格！', 11, $order['cate_id']);
                }

                $user = Dever::db('passport/user')->one($uid);

                # 发短信
                if (isset($user['mobile']) && $user['mobile'] && Dever::project('sms') && $order['cate_id'] == 1) {
                    $send = array();
                    $send['name'] = $journal['name'];
                    Dever::load('sms/api.send', 'buy_journal', $user['mobile'], $send);
                }

                # 发模板消息
                $wechat = Dever::db('passport/wechat')->one(array('uid' => $uid));
                if ($wechat && Dever::project('wechat_applet')) {
                    $send['key'] = 'buy_journal';
                    $send['project_id'] = $order['cate_id'];
                    $send['touser'] = $wechat['openid'];
                    $send['page'] = Dever::config('base')->applet_index . '?scene=' . Dever::login($uid) . ',' . '4,' . $order['product_id'];
                    $send['data'] = array
                    (
                        'keyword1' => array('value' => date('Y年m月d日 H:i', $order['cdate'])),
                        'keyword2' => array('value' => '购买成功，您获得了 '.$journal['name'].' 的阅读资格！'),
                    );
                    $send['data'] = json_encode($send['data']);
                    $send['form_id'] = Dever::load('act/lib/form')->get($uid, 2, $order['cate_id']);

                    if ($send['form_id']) {
                        Dever::load('wechat_applet/msg.send', $send);
                    }
                }

            } else {
                Dever::db('journal/order')->update(array('where_id' => $order['id'], 'status' => 3));
            }
        }
	}

    public function send_api()
    {
        $uid = Dever::input('uid', 8);
        # 发模板消息
        $wechat = Dever::db('passport/wechat')->one(array('uid' => $uid));
        if ($wechat && Dever::project('wechat_applet')) {
            $send['key'] = 'buy_journal';
            $send['project_id'] = 2;
            $send['touser'] = $wechat['openid'];
            $send['page'] = Dever::config('base')->applet_index . '?scene=' . Dever::login($uid) . ',' . '4,' . $order['product_id'];
            $send['data'] = array
            (
                'keyword1' => array('value' => date('Y年m月d日 H:i', $order['cdate'])),
                'keyword2' => array('value' => '购买成功，您获得了 '.$journal['name'].' 的阅读资格！'),
            );
            $send['data'] = json_encode($send['data']);
            $send['form_id'] = Dever::load('act/lib/form')->get($uid, 2, $order['cate_id']);

            if ($send['form_id']) {
                Dever::load('wechat_applet/msg.send', $send);
            }
        }
    }
}
