<?php

$type = Dever::config('base', 'live')->live_type;
return array
(
    # 表名
    'name' => 'info',
    # 显示给用户看的名称
    'lang' => '直播云配置',
    'order' => 10,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '配置名称',
            'default'   => '',
            'desc'      => '配置名称',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'type'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属云',
            'default'   => '1',
            'desc'      => '所属云',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $type,
            'search'    => 'select',
        ),

        'host'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '存储空间域名',
            'default'   => '',
            'desc'      => '存储空间域名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'space'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '云空间名-请提前建好云空间，后续会迭代优化，增加云空间的创建和更新，本版本暂时使用已经创建好的云空间',
            'default'   => '',
            'desc'      => '空间名',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'appkey'      => array
        (
            'type'      => 'varchar-80',
            'name'      => 'appkey',
            'default'   => '',
            'desc'      => 'appkey',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'appsecret'      => array
        (
            'type'      => 'varchar-200',
            'name'      => 'appsecret',
            'default'   => '',
            'desc'      => 'appsecret',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            //'list'      => true,
        ),

        'domain_publish'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '推流域名',
            'default'   => '',
            'desc'      => '推流域名',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'domain_live_rtmp'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '高清直播域名',
            'default'   => '',
            'desc'      => '高清直播域名',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'domain_live_hls'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '标清直播域名',
            'default'   => '',
            'desc'      => '标清直播域名',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'domain_live_hdl'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '普清直播域名',
            'default'   => '',
            'desc'      => '普清直播域名',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'domain_live_pic'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '直播截图域名',
            'default'   => '',
            'desc'      => '直播截图域名',
            'match'     => 'is_string',
            'update'    => 'text',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'  => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        //'excel'   => true,
        //'delete' => false,
        //'edit' => false,
        //'insert' => false,
    ),

    'request' => array
    (
        
    )

);
