<?php

$live = function()
{
    $array = array();
    $info = Dever::db('live/info')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

$active = function()
{
    $array = array();
    $info = Dever::db('live/active')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

$stream = function()
{
    $array = array();
    $info = Dever::db('live/stream')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'stream_ios_log',
    # 显示给用户看的名称
    'lang' => 'IOS推流日志',
    'order' => 2,
    'menu' => false,
    'desc' => 'IOS推流日志是根据接口实时获取IOS端的直播推流日志，不能接收到obs端的推流日志。',
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'        => true,
        ),

        'live_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属直播云',
            'default'   => '1',
            'desc'      => '所属直播云',
            'match'     => 'is_numeric',
            'update'    => 'select',
            //'option'    => $live,
            'search'    => 'select',
            //'list'      => true,
        ),

        'active_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属活动',
            'default'   => '1',
            'desc'      => '所属活动',
            'match'     => 'is_numeric',
            'update'    => 'select',
            //'option'    => $active,
            'search'    => 'select',
            //'list'      => true,
        ),

        'stream_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属直播流',
            'default'   => '1',
            'desc'      => '所属直播流',
            'match'     => 'is_numeric',
            //'update'    => 'select',
            'option'    => $stream,
            //'search'    => 'select',
            'list'      => true,
        ),

        'sdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '开始时间',
            'match'     => 'is_numeric',
            'default'   => '',
            'desc'      => '',
            'update'    => 'date',
            'callback'  => 'maketime',
            'list'      => '{sdate} > 0 ? date("Y-m-d H:i:s", {sdate}) : "未开始"',
        ),

        'edate'     => array
        (
            'type'      => 'int-11',
            'name'      => '结束时间',
            'match'     => 'is_numeric',
            'default'   => '',
            'desc'      => '',
            //'update'    => 'date',
            'callback'  => 'maketime',
            'list'      => '{edate} > 0 ? date("Y-m-d H:i:s", {edate}) : "未结束"',
        ),

        'url_m3u8'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '直播回放地址',
            'default'   => '',
            'desc'      => '直播回放地址',
            'match'     => 'option',
            //'update'    => 'text',
            'list'      => true,
        ),

        'url_mp4'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '直播回放地址',
            'default'   => '',
            'desc'      => '直播回放地址',
            'match'     => 'option',
            //'update'    => 'text',
            //'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'  => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        //'excel'   => true,
        'delete' => false,
        'edit' => false,
        //'insert' => false,
    ),

);
